Commit 23cf1dbb authored by Natanael Copa's avatar Natanael Copa

main/irssi: security upgrade to 1.0.8 (CVE-2019-13045)

fixes #10658
parent 16dcb2a2
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=irssi
pkgver=1.0.6
pkgver=1.0.8
pkgrel=0
pkgdesc="A modular textUI IRC client with IPv6 support"
url="https://irssi.org/"
......@@ -12,6 +12,8 @@ source="https://github.com/irssi/irssi/releases/download/$pkgver/irssi-$pkgver.t
builddir="$srcdir"/$pkgname-$pkgver
# secfixes:
# 1.0.8-r0:
# - CVE-2019-13045
# 1.0.3-r0:
# - CVE-2017-9468
# - CVE-2017-9469
......@@ -79,4 +81,4 @@ proxy() {
mv "$pkgdir"/usr/lib/irssi/modules/libirc_proxy.* "$subpkgdir"/usr/lib/irssi/modules/
}
sha512sums="ec7ac952fe0cfdf583540f1a466404a573da169e796a342b423126d7bb5d8f8336baafa27f9aed5d0eabc1f201cc4809723493b731d49e42ae1f2b7ec4099d16 irssi-1.0.6.tar.xz"
sha512sums="6c88262db0e11382d4b9f25edc576f006add802786670bc3e858c6d355d67a364747a13c451f7e8f26bdfab46f7704cec0d61ebefadcf412ee2789029d9aa6d6 irssi-1.0.8.tar.xz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment